- [HTTP request](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#body.ListTokenAuthUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#try-it)

Lists all the token auth users for a token based auth enabled cluster.

### HTTP request

`GET https://redis.googleapis.com/v1/{parent=projects/*/locations/*/clusters/*}/tokenAuthUsers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource that this token based auth user will be listed for. Format: projects/{project}/locations/{location}/clusters/{cluster} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the pageSize value, the response may include a partial list and a caller should only rely on response's The maximum value is 1000; values above 1000 will be coerced to 1000. `https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers/list#body.ListTokenAuthUsersResponse.FIELDS.next_page_token` to determine if there are more clusters left to be queried. |
| `pageToken` | `string` Optional. The `nextPageToken` value returned from a previous \[tokenAuthUsers.list\] request, if any. |
| `filter` | `string` Optional. Expression for filtering results. |
| `orderBy` | `string` Optional. Sort results by a defined order. |

### Request body

The request body must be empty.

### Response body

Response message for \[tokenAuthUsers.list\]\[\].

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tokenAuthUsers": [ { object (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers#TokenAuthUser`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `tokenAuthUsers[]` | ``object (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.clusters.tokenAuthUsers#TokenAuthUser`)`` A list of token auth users in the project. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |
| `unreachable[]` | `string` Unordered list. Token auth users that could not be reached. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/redis.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).